WordClusterFeatureGenerator (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: WordClusterFeatureGenerator

Package opennlp.tools.util.featuregen

# Class WordClusterFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.WordClusterFeatureGenerator

All Implemented Interfaces:
  `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

public class WordClusterFeatureGenerator extends Object implements opennlp.tools.util.featuregen.AdaptiveFeatureGenerator
An `AdaptiveFeatureGenerator` implementation of a word cluster feature generator. It is based on a pre-defined `WordClusterDictionary`.

See Also:
  - `AdaptiveFeatureGenerator`
  - `WordClusterDictionary`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordClusterFeatureGenerator(WordClusterDictionary dict, String dictResourceKey, boolean lowerCaseDictionary)`
  Instantiates a `WordClusterFeatureGenerator` via a specified `WordClusterDictionary`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### WordClusterFeatureGenerator

    public WordClusterFeatureGenerator(WordClusterDictionary dict, String dictResourceKey, boolean lowerCaseDictionary)
    Instantiates a `WordClusterFeatureGenerator` via a specified `WordClusterDictionary`.
    Parameters:
      `dict` - The token `dictionary` to use.
      `dictResourceKey` - The prefix to use for detected features. Typically, the value for this prefix should be `"dict"`.
      `lowerCaseDictionary` - `true` if tokens will be lower-cased during dictionary lookup, `false` otherwise.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Specified by:
      `createFeatures` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`